Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-desktop
Navigation:
Lists: gentoo-desktop: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-desktop@g.o
From: "Daniel Manesku" <daniel1988@...>
Subject: problems with (Java) apps after upgrading some packages
Date: Sun, 28 Jan 2007 14:29:12 +0100
Hi folks!<br><br>A few days ago, <span class="postbody">I updated <span style="font-style: italic;">sun-jdk-1.5.0.8</span> to <span style="font-style: italic;">sun-jdk-1.5.0.10</span>. After upgrading it (or maybe because of upgrading any other package form list below)
<br><br></span><span class="postbody"></span><blockquote style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;" class="gmail_quote">
# genlop -l --date 5 days ago
<br>
&nbsp;* app-admin/conky
<br>

<br>
&nbsp; &nbsp; &nbsp;Tue Jan 23 20:15:53 2007 &gt;&gt;&gt; app-admin/conky-1.4.5
<br>
&nbsp; &nbsp; &nbsp;Tue Jan 23 20:19:57 2007 &gt;&gt;&gt; sys-devel/automake-wrapper-3-r1
<br>
&nbsp; &nbsp; &nbsp;Tue Jan 23 20:25:01 2007 &gt;&gt;&gt; sys-devel/automake-1.10
<br>
&nbsp; &nbsp; &nbsp;Tue Jan 23 20:31:35 2007 &gt;&gt;&gt; media-libs/libao-0.8.6-r3
<br>
&nbsp; &nbsp; &nbsp;Tue Jan 23 20:35:18 2007 &gt;&gt;&gt; media-libs/libmad-0.15.1b-r2
<br>
&nbsp; &nbsp; &nbsp;Tue Jan 23 20:40:21 2007 &gt;&gt;&gt; media-libs/taglib-1.4-r1
<br>
&nbsp; &nbsp; &nbsp;Wed Jan 24 19:31:22 2007 &gt;&gt;&gt; net-nds/openldap-2.3.30-r2
<br>
&nbsp; &nbsp; &nbsp;Thu Jan 25 01:51:28 2007 &gt;&gt;&gt; dev-java/sun-jdk-1.5.0.10
<br>
&nbsp; &nbsp; &nbsp;Thu Jan 25 02:36:16 2007 &gt;&gt;&gt; net-p2p/amule-2.1.3
<br>
&nbsp; &nbsp; &nbsp;Thu Jan 25 20:35:18 2007 &gt;&gt;&gt; net-nds/openldap-2.3.33
<br>
&nbsp; &nbsp; &nbsp;Fri Jan 26 17:23:10 2007 &gt;&gt;&gt; net-p2p/limewire-4.12.6-r1
<br>
&nbsp; &nbsp; &nbsp;Fri Jan 26 17:25:47 2007 &gt;&gt;&gt; dev-java/java-config-1.3.7
<br>
&nbsp; &nbsp; &nbsp;Fri Jan 26 17:26:12 2007 &gt;&gt;&gt; dev-java/java-config-2.0.31</blockquote><div><br><span class="postbody">
 java based applications stopped working:<br><br><br></span><blockquote style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;" class="gmail_quote">daniel1988@gentoo ~ $ limewire
<br>
/usr/bin/java: line 21: /usr/lib/jvm/blackdown-jdk-1.4.2/bin/java: Permission denied
<br>
/usr/bin/java: line 21: /usr/lib/jvm/blackdown-jdk-1.4.2/bin/java: Success&nbsp;
</blockquote><div><br><blockquote style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;" class="gmail_quote">daniel1988@gentoo ~ $ azureus
<br>
You have gentoo.config files in both 
<br>
/home/daniel1988/.azureus and
<br>
/home/daniel1988/.Azureus
<br>
/home/daniel1988/.Azureus is deprecated and you can delete this directory.
<br>

<br>
using /home/daniel1988/.azureus/gentoo.config
<br>
${UI_OPTIONS} is no longer supported. ${UI} should be used instead instead
<br>
Unsetting ${UI_OPTIONS}
<br>
/usr/bin/java: line 21: /usr/lib/jvm/blackdown-jdk-1.4.2/bin/java: Permission denied
<br>
/usr/bin/java: line 21: /usr/lib/jvm/blackdown-jdk-1.4.2/bin/java: Success
</blockquote><div><br><br><blockquote style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;" class="gmail_quote">daniel1988@gentoo /usr/lib/jvm/blackdown-jdk-1.4.2/bin $ ls -lah | grep java
<br>
-rwxrwxrwx 1 root root&nbsp; 65K Dec&nbsp; 5 00:22 java
<br>
-rwxr-xr-x 1 root root 1.8K Dec&nbsp; 5 00:22 java-rmi.cgi
<br>
-rwxr-xr-x 1 root root&nbsp; 65K Jan 26 17:29 java_bak
<br>
-rwxr-xr-x 1 root root&nbsp; 67K Dec&nbsp; 5 00:22 javac
<br>
-rwxr-xr-x 1 root root&nbsp; 67K Dec&nbsp; 5 00:22 javadoc
<br>
-rwxr-xr-x 1 root root&nbsp; 67K Dec&nbsp; 5 00:22 javah
<br>
-rwxr-xr-x 1 root root&nbsp; 67K Dec&nbsp; 5 00:22 javap
<br>
lrwxrwxrwx 1 root root&nbsp; &nbsp;17 Jan 25 01:45 javaws -&gt; ../jre/bin/javaws
&nbsp;</blockquote></div><br></div>Because I had no space left on / , I moved /opt/blackdown* &amp; /opt/sun-jdk* to /data/opt/* &amp; made proper links:<br><blockquote style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;" class="gmail_quote">
daniel1988@gentoo /opt $ ls -lah<br>total 11K<br>drwxr-xr-x 11 root root 1.0K Jan 25 01:47 .<br>drwxr-xr-x 20 root root 1.0K Feb 25&nbsp; 2006 ..<br>-rw-r--r--&nbsp; 1 root root&nbsp;&nbsp;&nbsp; 0 Aug&nbsp; 7&nbsp; 2005 .keep<br>drwxr-xr-x&nbsp; 4 root root 1.0K
 Jan 26 23:29 Acrobat7<br>drwxr-xr-x&nbsp; 9 root root 1.0K Mar 28&nbsp; 2006 RealPlayer<br>drwxr-xr-x&nbsp; 2 root root 1.0K Jan 26 23:29 bin<br>lrwxrwxrwx&nbsp; 1 root root&nbsp;&nbsp; 33 Jan 25 01:47 blackdown-jdk-1.4.2.03 -&gt; /data/opt/blackdown-
jdk-1.4.2.03/<br>lrwxrwxrwx&nbsp; 1 root root&nbsp;&nbsp; 33 Jan 25 01:47 blackdown-jre-1.4.2.03 -&gt; /data/opt/blackdown-jre-1.4.2.03/<br>drwxr-xr-x&nbsp; 3 root root 1.0K Feb 23&nbsp; 2006 libreadline-java<br>drwxr-xr-x&nbsp; 2 root root 1.0K Jan 26 17:22 limewire
<br>drwxr-xr-x&nbsp; 3 root root 1.0K Jan&nbsp; 5&nbsp; 2006 netscape<br>drwxr-xr-x&nbsp; 5 root root 1.0K Jan&nbsp; 3&nbsp; 2006 opera<br>drwxr-xr-x&nbsp; 5 root root 1.0K Oct 28 16:34 rar<br>lrwxrwxrwx&nbsp; 1 root root&nbsp;&nbsp; 27 Dec&nbsp; 7 12:57 sun-jdk-1.5.0.08 -&gt; /data/opt/sun-
jdk-1.5.0.08/<br>drwxr-xr-x&nbsp; 8 root root 1.0K Jan 24 23:56 sun-jdk-1.5.0.10</blockquote><div><br><br><span class="postbody">
Not related to java, but Evolution doesn&#39;t work as expected... most probably because of some recent package upgrade (not java)
<br>
<a href="http://usera.imagecave.com/daniel1988/evolution.jpg" target="_blank">http://usera.imagecave.com/daniel1988/evolution.jpg</a><br><br>svn too: <br></span><span class="postbody"></span><blockquote style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;" class="gmail_quote">
$ svn up<br>svn: error while loading shared libraries: liblber-2.2.so.7: cannot open shared object file: No such file or directory</blockquote><div><br><br>Any idea how to solve this?<br><br>P.S. configs from /etc are all updated. (
<span style="font-style: italic;">etc-update</span> for trivial changes &amp; after that <span style="font-style: italic;">dispatch-conf</span>) &lt; maybe some config messed things right here... : |<br><br>Cheers,<br>Daniel
<br></div><br><span class="postbody">
&nbsp;

<br><br></span></div><br></div><br><span class="postbody">
</span>
Replies:
Re: problems with (Java) apps after upgrading some packages
-- Hans-Werner Hilse
Re: problems with (Java) apps after upgrading some packages
-- Petteri R├Ąty
Navigation:
Lists: gentoo-desktop: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
startx
Next by thread:
Re: problems with (Java) apps after upgrading some packages
Previous by date:
Re: startx
Next by date:
Re: problems with (Java) apps after upgrading some packages


Updated Jun 17, 2009

Summary: Archive of the gentoo-desktop mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.